Package org.eclipse.cdt.core.settings.model.util

# Class UserAndDiscoveredEntryLanguageData

java.lang.Object
org.eclipse.cdt.core.settings.model.extension.CDataObject
org.eclipse.cdt.core.settings.model.extension.CLanguageData
org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData
org.eclipse.cdt.core.settings.model.util.EntryStorageBasedLanguageData
org.eclipse.cdt.core.settings.model.util.UserAndDiscoveredEntryLanguageData

All Implemented Interfaces:
  `ICSettingBase`

Direct Known Subclasses:
  `UserAndDiscoveredEntryConfigurationDataProvider.LanguageData`

public abstract class UserAndDiscoveredEntryLanguageData extends EntryStorageBasedLanguageData

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`UserAndDiscoveredEntryLanguageData.UserAndDiscoveredEntryLanguageDataEntryStorage`

## Field Summary

### Fields inherited from class org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData

`EMPTY_STRING_ARRAY, fId, fIsModified, fLanguageId, fName, fSourceContentTypeIds, fSourceExts, fStore, fSupportedKinds, OP_COPY, OP_SET`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Constructor Summary

Constructors
Constructor
Description
`UserAndDiscoveredEntryLanguageData()`
`UserAndDiscoveredEntryLanguageData(String id, String languageId, String[] ids, boolean isContentTypes)`
`UserAndDiscoveredEntryLanguageData(String id, CLanguageData base)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`canDisableDiscoveredEntries(int kind)`
`protected void`
`copySettingsFrom(CLanguageData data)`
`protected abstract ICLanguageSettingEntry[]`
`getAllDiscoveredEntries(int kind)`
`protected Set<String>`
`getDisabledSet(int kind)`
`protected ICLanguageSettingEntry[]`
`getDiscoveredEntries(int kind, Set<String> disabledNameSet)`
`protected ICLanguageSettingEntry[]`
`getEntriesToCopy(int kind, CLanguageData data)`
`protected AbstractEntryStorage`
`getStorage(int kind)`
`protected ICLanguageSettingEntry[]`
`getUserEntries(int kind)`
`protected void`
`removeInexistent(ICLanguageSettingEntry[] entries, Set<String> set)`
`protected void`
`setDisabledDiscoveredNames(int kind, Set<String> disabledNameSet)`
`protected void`
`setDisabledSet(int kind, Set<String> set)`
`protected void`
`setUserEntries(int kind, ICLanguageSettingEntry[] entries)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.util.EntryStorageBasedLanguageData

`createStore, getEntries, getEntriesFromStore, setEntries, setEntriesToStore`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData

`createStore, getId, getLanguageId, getName, getSourceContentTypeIds, getSourceExtensions, getSupportedEntryKinds, isModified, isValid, processStoredEntries, setLanguageId, setModified, setSourceContentTypeIds, setSourceExtensions`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CLanguageData

`containsDiscoveredScannerInfo, getType`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserAndDiscoveredEntryLanguageData

public UserAndDiscoveredEntryLanguageData()

### UserAndDiscoveredEntryLanguageData

public UserAndDiscoveredEntryLanguageData(String id, CLanguageData base)

### UserAndDiscoveredEntryLanguageData

public UserAndDiscoveredEntryLanguageData(String id, String languageId, String[] ids, boolean isContentTypes)

## Method Details

### copySettingsFrom

protected void copySettingsFrom(CLanguageData data)

Overrides:
  `copySettingsFrom` in class `CDefaultLanguageData`

### getStorage

protected AbstractEntryStorage getStorage(int kind)

Specified by:
  `getStorage` in class `EntryStorageBasedLanguageData`

### getDiscoveredEntries

protected ICLanguageSettingEntry[] getDiscoveredEntries(int kind, Set<String> disabledNameSet)

### removeInexistent

protected void removeInexistent(ICLanguageSettingEntry[] entries, Set<String> set)

### getUserEntries

protected ICLanguageSettingEntry[] getUserEntries(int kind)

### setDisabledDiscoveredNames

protected void setDisabledDiscoveredNames(int kind, Set<String> disabledNameSet)

### getDisabledSet

protected Set<String> getDisabledSet(int kind)

### setDisabledSet

protected void setDisabledSet(int kind, Set<String> set)

### getAllDiscoveredEntries

protected abstract ICLanguageSettingEntry[] getAllDiscoveredEntries(int kind)

### setUserEntries

protected void setUserEntries(int kind, ICLanguageSettingEntry[] entries)

### canDisableDiscoveredEntries

protected boolean canDisableDiscoveredEntries(int kind)

### getEntriesToCopy

protected ICLanguageSettingEntry[] getEntriesToCopy(int kind, CLanguageData data)

Overrides:
  `getEntriesToCopy` in class `CDefaultLanguageData`